local fonts = {}

if love.filesystem.getInfo("fonts/font.ttf") then
	fonts.smallFont = love.graphics.newFont("fonts/font.ttf", 14)
	fonts.normalFont = love.graphics.newFont("fonts/font.ttf", 20)
	fonts.headerFont = love.graphics.newFont("fonts/font.ttf", 25)
	fonts.bigFont = love.graphics.newFont("fonts/font.ttf", 45)
else
	fonts.smallFont = love.graphics.newFont(14)
	fonts.normalFont = love.graphics.newFont(20)
	fonts.headerFont = love.graphics.newFont(25)
	fonts.bigFont = love.graphics.newFont(45)
end

return fonts
